subversion-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Philip Martin <philip.mar...@wandisco.com>
Subject Re: [PATCH] On the 'ra-git' branch: update to libgit2 v0.22
Date Wed, 01 Apr 2015 12:08:44 GMT
Julian Foad <julianfoad@btopenworld.com> writes:

> --with-libgit2=/home/julianfoad/.local/libgit2-0.20.0

> /usr/bin/ld: warning: libgit2.so.0, needed by
> //nobackup/home/julianfoad/build/subversion-p/subversion/libsvn_ra_git/.libs/libsvn_ra_git-1.so.0,
> not found (try using -rpath or -rpath-link)
> //nobackup/home/julianfoad/build/subversion-p/subversion/libsvn_ra_git/.libs/libsvn_ra_git-1.so.0:
> undefined reference to `git_remote_load'

If you run

  objdump -x subversion/libsvn_ra_git/.libs/libsvn_ra_git-1.so 

I think you will see a NEEDED for libgit2 but that the RPATH does not
include /home/julianfoad/.local/libgit2-0.20.0/lib.

You can fix it by setting LD_LIBRARY_PATH.  Or by using something like
LDFLAGS=-Wl,-rpath,/home/julianfoad/.local/libgit2-0.20.0/lib when you
invoke configure.  Or by installing libgit2 somewhere the linker looks
by default.


-- 
Philip Martin | Subversion Committer
WANdisco // *Non-Stop Data*

Mime
View raw message